package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/6/23 9:58
 * @Version 1.0
 */

@FeignClient(value = "DIL-COLUMN-DATA-DEV",url = "${openFeign.ColumnDataFeign.url}")

public interface ColumnDataFeign {
    @RequestMapping("getColumnData")
    List<Map<String,Object>> getColumnData(@RequestParam("apiId") Integer apiId);
}
