package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsCapacity;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsCapacityMapper extends IBaseMapper<RmsCapacity, BigDecimal> {
   //展示运力信息
    List<Map<String, Object>> getCapacityList(Map<String, Object> mapVal);

    //根据运力id获取运力信息
    List<Map<String, Object>> getCapacityById(BigDecimal id);
    //运力下拉框
    List<Map<String,Object>> getCapacityTypeId();
    //运力id自增
    @Select("select seq_RMS_CAPACITY.nextval from dual")
    BigDecimal selectCapacityId();
   //承运商下拉框
    List<Map<String, Object>> getCarrierId();
}