package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsMaterialType;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsMaterialTypeMapper extends IBaseMapper<RmsMaterialType, BigDecimal> {

    @Override
    List<RmsMaterialType> selectByParameters(Map<String, Object> parameters);

    List<Map<String, Object>> getMaterialTypeList(Map<String, Object> mapValue);
}