package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsPersonnel;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsPersonnelMapper extends IBaseMapper<RmsPersonnel, BigDecimal>{
//    自增序列号
    @Select("select seq__RMS_PERSONNEL.nextval from dual")
    BigDecimal getPersonnelId();

    List<RmsPersonnel> selectByParameters(Map<String, Object> parameters);

    // 展示人员信息列表
    List<Map<String, Object>> getPersonnelList(Map<String, Object> mapVal);

//根据id详细查询人员信息
    List<Map<String, Object>> selectPersonnelById(BigDecimal id);
//获得托运人id
    List<Map<String, Object>> getShipperId();
}