package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsPort;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsPortMapper extends IBaseMapper<RmsPort, BigDecimal> {


    @Select("select seq__RMS_PORT.nextval from dual")
    BigDecimal getPortId();

    List<Map<String, Object>> getPort(Map<String, Object> mapVal);

    List<Map<String, Object>> getPortType();

}