package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsTruckCalculateMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface RmsTruckCalculateMaterialMapper extends IBaseMapper<RmsTruckCalculateMaterial, BigDecimal> {

    //递增序列号
    @Select("SELECT seq_RMS_TRUCK_CALCULATE_MATERIAL.nextval FROM dual")
    BigDecimal getTruckCalculateMaterialId();

}