package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsWarehouse;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsWarehouseMapper extends IBaseMapper<RmsWarehouse, BigDecimal> {

    //获取原料仓库列表
    List<Map<String, Object>> getWarehouseList(Map<String, Object> mapVal);

    //通过id获取原料仓库信息
    Map<String, Object> getWarehouseById(BigDecimal id);

    //id自增
    @Select("select seq_RMS_WAREHOUSE.nextval from dual")
    BigDecimal selectWarehouseId();

    //仓库下拉框
    List<Map<String, Object>> getWarehouseTypeId();

    List<Map<String, Object>> getPortId();

/*
获取港存堆场
 */
    List<Map<String, Object>> getYardList(Map<String, Object> mapVal);
}