package com.steerinfo.dil.service;


import com.steerinfo.dil.model.RmsCapacity;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsCapacity服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-06 02:10
 * 类描述
 * 修订历史：
 * 日期：2021-11-06
 * 作者：generator
 * 参考：
 * 描述：RmsCapacity服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsCapacityService{

    List<Map<String, Object>> getCapacityList(Map<String, Object> mapVal);

    int insertCapacity(RmsCapacity rmsCapacity);

    int updateCapacity(RmsCapacity rmsCapacity);

    int deleteCapacity(BigDecimal id);

    List<Map<String, Object>> getCapacityById(BigDecimal id);

    List<Map<String,Object>> getCapacityTypeId();

    List<Map<String,Object>> getCarrierId();
}