package com.steerinfo.dil.service;


import com.steerinfo.dil.model.RmsLineSegemnt;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsLineSegemnt服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 07:23
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsLineSegemnt服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsLineSegemntService{
    //新增运输路线子表
    int insertSelective(RmsLineSegemnt rmsLineSegemnt);

    //修改运输路线子表
    int updateByPrimaryKeySelective(RmsLineSegemnt rmsLineSegemnt);

    //根据运输线路主表id查询运输线路子表
    List<Map<String, Object>> getRmsLineSegemnt(BigDecimal lineId);

    //根据运输路线主表id查询运输订单子表的数据
    List<Map<String,Object>> getRmsLineSegemntUpdate(BigDecimal lineId);
}