package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsMaterial;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsMaterial服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-22 05:55
 * 类描述
 * 修订历史：
 * 日期：2021-10-22
 * 作者：HuJieHuan
 * 参考：
 * 描述：RmsMaterial服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsMaterialService {

    int operationMaterial(Map<String, Object> mapVal);
//查询原材料信息
    List<Map<String, Object>> getMaterialList(Map<String, Object> mapVal);
//添加原材料信息
    int insertMaterial(RmsMaterial rmsMaterial);
//修改原材料信息
    int updateMaterial(RmsMaterial rmsMaterial);
//根据id删除原材料信息
    int deleteMaterial(BigDecimal id);
//    根据id值展示原材料信息
    List<Map<String, Object>> getMaterialById(BigDecimal id);
//获得材料类型Id
    List<Map<String,Object>> getMaterialTypeId();
//获得计量单位Id
    List<Map<String,Object>> getUnitOfMeasureId();
//根据汽车衡测量的物资id，进行展示物资
    List<Map<String, Object>> getCalculateOfMaterialList(Map<String, Object> mapVal);
}