package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsPersonnel;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsPersonnel服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-22 06:01
 * 类描述
 * 修订历史：
 * 日期：2021-10-22
 * 作者：HuJieHuan
 * 参考：
 * 描述：RmsPersonnel服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsPersonnelService {

//    操作人员信息
    int operationPersonnel(Map<String, Object> mapVal);
//    获取人员信息
    List<Map<String, Object>> getPersonnelList(Map<String, Object> mapVal);
//增加人员信息
    int insertPersonnel(RmsPersonnel rmsPersonnel);
//更新人员信息
    int updatePersonnel(RmsPersonnel rmsPersonnel);
//删除人员信息
    int deletePersonnel(BigDecimal id);
//根据id获取详细人员信息
    List<Map<String, Object>> getPersonnelById(BigDecimal id);
//获得下拉托运人信息
    List<Map<String,Object>> getShipperId();
}