package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsMaterial;
import com.steerinfo.dil.model.RmsTruckCalculate;
import com.steerinfo.dil.model.RmsTruckCalculateMaterial;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:ZhouZhou
 * @CreateTime:2021/11/24 20:07
 * @Version:V1.0
 */
public interface IRmsTruckCalculateService {

    List<Map<String, Object>> getTruckCalculateList(Map<String, Object> mapVal);



    int updateTruckCalculate(Map<String,Object> map);

    int deleteTruckCalculate(BigDecimal id);

    List<Map<String, Object>> getTruckCalculateById(BigDecimal id);

    int insertTruckCalculate(Map<String, Object> map);

    int deleteTruckCalculateMaterial(BigDecimal id);

    int insertTruckCalculateOfMaterial(RmsTruckCalculateMaterial rmsTruckCalculateMaterial);
}
