package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.DilNotice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface DilNoticeMapper extends IBaseMapper<DilNotice, BigDecimal> {

    List<Map<String, Object>> getNoticeList(Map<String, Object> mapVal);

    //id自增
    @Select("select seq_DIL_NOTICE.nextval from dual")
    BigDecimal selectNoticeId();

    List<Map<String, Object>> getNoticeById(BigDecimal id);


}