package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsCarDriver;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:ZhouZhou
 * @CreateTime:2021/11/6 11:03
 * @Version:V1.0
 */
@Mapper
public interface RmsCarDriverMapper extends IBaseMapper<RmsCarDriver,BigDecimal> {

   //展示司机信息
   List<Map<String, Object>> getCarDriverList(Map<String, Object> mapVal);

   //id自增
   @Select("select seq_RMS_CAR_DRIVER.nextval from dual")
   BigDecimal selectCarDriverId();

   //根据id查询司机
    List<Map<String,Object>> getCarDriverById(BigDecimal id);
    //运输类型下拉框
    List<Map<String, Object>> getTransportTypeId();
}
