package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsCarrier;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsCarrierMapper extends IBaseMapper<RmsCarrier, BigDecimal> {

    //展示承运商信息
    List<Map<String, Object>> getCarrierList(Map<String, Object> mapVal);

    //    根据id值展示承运商信息
    List<Map<String,Object>> selectCarrierById(BigDecimal id);
    //递增序列号
    @Select("SELECT seq__RMS_CARRIER.nextval FROM dual")
    BigDecimal getCarrierId();
}