package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsLine;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsLineMapper extends IBaseMapper<RmsLine, BigDecimal> {
    // 新增运输路线
    int insertSelective(RmsLine rmsLine);

    //查询所有线路
    List<Map<String, Object>> getAllLineDesk(Map<String, Object> map);

    //根据运输路线主表id查询运输路线主表信息
    Map<String, Object> getRmsLine(BigDecimal lineId);

    //根据主键修改运输路线主表
    int updateByPrimaryKeySelective(RmsLine rmsLine);

    //根据运输线路主表id查询运输订单表是否存在有关联的数据
    int getOmstruckOrderNumber(BigDecimal lineId);

}