package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsLineSegemnt;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsLineSegemntMapper extends IBaseMapper<RmsLineSegemnt, BigDecimal> {
    //新增运输路线子表
    int insertSelective(RmsLineSegemnt rmsLineSegemnt);

    //修改运输路线子表
    int updateByPrimaryKeySelective(RmsLineSegemnt rmsLineSegemnt);

    //根据运输线路主表id查询运输线路子表
    List<Map<String, Object>> getRmsLineSegemnt(BigDecimal lineId);

    //根据运输路线主表id查询运输订单子表的数据
    List<Map<String,Object>> getRmsLineSegemntUpdate(BigDecimal lineId);
}