package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsOilPrice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface RmsOilPriceMapper extends IBaseMapper<RmsOilPrice, BigDecimal> {
    //展示油价信息
    List<Map<String, Object>> getOilPriceList(Map<String, Object> mapVal);

//id自增
    @Select("select seq_RMS_OIL_PRICE.nextval from dual")
    BigDecimal selectOilPriceId();

    //根据Id寻找油价
    List<Map<String, Object>> getOilPriceById(BigDecimal id);
}