package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsPier;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsPierMapper extends IBaseMapper<RmsPier, BigDecimal> {

    @Select("select seq__RMS_PIER.nextval from dual")
    BigDecimal getPierId();

    List<Map<String, Object>> getPier(Map<String, Object> mapVal);

    List<Map<String, Object>> getPortId();
}