package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsShipper;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsShipperMapper extends IBaseMapper<RmsShipper, BigDecimal> {


    //展示托运人信息
    List<Map<String, Object>> getShipperList(Map<String, Object> mapVal);

    //递增序列号
    @Select("SELECT seq__RMS_SHIPPER.nextval FROM dual")
    BigDecimal getShipperId();
//根据id详细获取托运人信息
    List<Map<String, Object>> selectShipperById(BigDecimal id);
}