package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsTruckCalculate;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsTruckCalculateMapper extends IBaseMapper<RmsTruckCalculate, BigDecimal> {


    //获取汽车衡列表
    List<Map<String, Object>> getTruckCalculateList(Map<String, Object> mapVal);
    //根据id获取汽车衡
    List<Map<String, Object>> getTruckCalculateById(BigDecimal id);
   //id自增
    @Select("select seq_RMS_TRUCK_CALCULATE.nextval from dual")
    BigDecimal selectTruckCalculateId();
    //获取汽车衡与物资表中间表id
    List<Map<String, Object>> selectTruckCalculateMaterialId(BigDecimal truckCalculateId);

}