package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsCarDriver;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:ZhouZhou
 * @CreateTime:2021/11/6 9:56
 * @Version:V1.0
 */
public interface IRmsCarDriverService  {

    List<Map<String, Object>> getCarDriverList(Map<String, Object> mapVal);

    int deleteCarDriver(BigDecimal id);


    int updateCarDriver(RmsCarDriver rmsCarDriver);

    int insertCarDriver(RmsCarDriver rmsCarDriver);

    List<Map<String,Object>> getCarDriverById(BigDecimal id);


    List<Map<String,Object>> getTransportTypeId();
}
