package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsDriverCapacity;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsDriverCapacity服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-19 09:49
 * 类描述
 * 修订历史：
 * 日期：2021-11-19
 * 作者：generator
 * 参考：
 * 描述：RmsDriverCapacity服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsDriverCapacityService {

    List<Map<String, Object>> getDriverCapacityList(Map<String, Object> mapVal);

    int insertDriverCapacity(RmsDriverCapacity rmsDriverCapacity);

    int updateDriverCapacity(RmsDriverCapacity rmsDriverCapacity);

    int deleteDriverCapacity(BigDecimal id);

    List<Map<String, Object>> getDriverCapacityById(BigDecimal id);

    List<Map<String,Object>> getCarrierId();

    List<Map<String,Object>> getDriverId();

    List<Map<String,Object>> getCapacityTypeId();
}