package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsLine;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.Map;

/**
 * RmsLine服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 07:22
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsLine服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsLineService {
    int insertSelective(RmsLine rmsLine);

    //根据运输路线主表id查询运输路线主表信息
    Map<String, Object> getRmsLine(BigDecimal lineId);

    //根据主键修改运输路线主表
    int updateByPrimaryKeySelective(RmsLine rmsLine);

    //根据运输线路主表id查询运输订单表是否存在有关联的数据
    int getOmstruckOrderNumber(BigDecimal lineId);
}