package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.RmsOilPrice;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsOilPricea服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 05:01
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsOilPricea服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsOilPriceService{
    List<Map<String, Object>> getOilPriceList(Map<String,Object> mapVal);


    int insertOilPrice(RmsOilPrice rmsOilPrice);

    int updateOilPrice(RmsOilPrice rmsOilPrice);

    Object deleteOilPrice(BigDecimal id);

    List<Map<String, Object>> getOilPriceById(BigDecimal id);
}