package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsShipper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsShipper服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-09 04:28
 * 类描述
 * 修订历史：
 * 日期：2021-11-09
 * 作者：generator
 * 参考：
 * 描述：RmsShipper服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsShipperService{
//    实现获取托运人列表
    List<Map<String, Object>> getShipperList(Map<String, Object> mapVal);
//增加托运人信息
    int insertShipper(RmsShipper rmsShipper);
//更新托运人信息
    int updateShipper(RmsShipper rmsShipper);
//删除托运人信息
    int deleteShipper(BigDecimal id);
//    根据id值展示托运人
    List<Map<String, Object>> getShipperById(BigDecimal id);
}