package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsSupplier;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsSupplier服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-22 06:18
 * 类描述
 * 修订历史：
 * 日期：2021-10-22
 * 作者：HuJieHuan
 * 参考：
 * 描述：RmsSupplier服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsSupplierService {

//    操作供应商
    int operationSupplier(Map<String, Object> mapVal);
//    查询供应商列表
    List<Map<String, Object>> getSupplierList(Map<String, Object> mapVal);
//增加供应商
    int  insertSupplier(RmsSupplier rmsSupplier);
//更新供应商
    int updateSupplier(RmsSupplier rmsSupplier);
//删除供应商
    int deleteSupplier(BigDecimal id);
//根据id获取详细供应商
    List<Map<String, Object>> getSupplierById(BigDecimal id);

}