package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsWarehouse;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsWarehouse服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-10 02:04
 * 类描述
 * 修订历史：
 * 日期：2021-11-10
 * 作者：generator
 * 参考：
 * 描述：RmsWarehouse服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsWarehouseService {

    List<Map<String, Object>> getWarehouseList(Map<String, Object> mapVal);

    int insertWarehouse(RmsWarehouse rmsWarehouse);

    int updateWarehouse(RmsWarehouse rmsWarehouse);

    int deleteWarehouse(BigDecimal id);

    Map<String, Object> getWarehouseById(BigDecimal id);

    List<Map<String,Object>> getWarehouseTypeId();

    List<Map<String,Object>> getPortId();

    List<Map<String, Object>> getYardList(Map<String, Object> mapVal);
}