package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsBidAreaMapper;
import com.steerinfo.dil.service.IRmsBidAreaService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsBidArea服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-20 11:32
 * 类描述
 * 修订历史：
 * 日期：2021-12-20
 * 作者：generator
 * 参考：
 * 描述：RmsBidArea服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsBidAreaService")
public class RmsBidAreaServiceImpl implements IRmsBidAreaService {
    @Autowired
    RmsBidAreaMapper rmsBidAreaMapper;

    @Override
    public Map<String, Object> getBidAreaById(BigDecimal id) {
        return rmsBidAreaMapper.getBidAreaById(id);
    }
}
