package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsLineMapper;
import com.steerinfo.dil.mapper.RmsLineSegemntMapper;
import com.steerinfo.dil.model.RmsLine;
import com.steerinfo.dil.model.RmsLineSegemnt;
import com.steerinfo.dil.service.IRmsLineSegemntService;
import com.steerinfo.dil.service.IRmsLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;


/**
 * RmsLineSegemnt服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 07:23
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsLineSegemnt服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsLineSegemntService")
public class RmsLineSegemntServiceImpl implements IRmsLineSegemntService {

    @Autowired
    private RmsLineSegemntMapper rmsLineSegemntMapper;


    @Override
    public int insertSelective(RmsLineSegemnt rmsLineSegemnt) {
        return rmsLineSegemntMapper.insertSelective(rmsLineSegemnt);
    }

    @Override
    public int updateByPrimaryKeySelective(RmsLineSegemnt rmsLineSegemnt) {
        return rmsLineSegemntMapper.updateByPrimaryKeySelective(rmsLineSegemnt);
    }

    @Override
    public List<Map<String, Object>> getRmsLineSegemnt(BigDecimal lineId) {
        return rmsLineSegemntMapper.getRmsLineSegemnt(lineId);
    }

    @Override
    public List<Map<String, Object>> getRmsLineSegemntUpdate(BigDecimal lineId) {
        return rmsLineSegemntMapper.getRmsLineSegemntUpdate(lineId);
    }
}
