package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsLineMapper;
import com.steerinfo.dil.model.RmsLine;
import com.steerinfo.dil.service.IRmsLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsLine服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 07:22
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsLine服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsLineService")
public class RmsLineServiceImpl implements IRmsLineService {

    @Autowired
    private RmsLineMapper rmsLineMapper;

    @Override
    public int insertSelective(RmsLine rmsLine) {
        return rmsLineMapper.insertSelective(rmsLine);
    }

    @Override
    public Map<String, Object> getRmsLine(BigDecimal lineId) {
        return rmsLineMapper.getRmsLine(lineId);
    }

    @Override
    public int updateByPrimaryKeySelective(RmsLine rmsLine) {
        return rmsLineMapper.updateByPrimaryKeySelective(rmsLine);
    }

    @Override
    public int getOmstruckOrderNumber(BigDecimal lineId) {
        return rmsLineMapper.getOmstruckOrderNumber(lineId);
    }
}
