package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.model.RmsLink;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.mapper.RmsLinkMapper;
import com.steerinfo.dil.service.IRmsLinkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsLink服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 10:45
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsLink服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsLinkService")
public class RmsLinkServiceImpl implements IRmsLinkService {

    @Autowired
    private RmsLinkMapper rmsLinkMapper;

    @Override
    public List<Map<String, Object>> getLink() {
        return rmsLinkMapper.getLink();
    }

    @Override
    public int insertSelective(RmsLink rmsLink) {
        return rmsLinkMapper.insertSelective(rmsLink);
    }
}
